## ros-rosinstall 0.7.8

=== Makefile ===
.PHONY: all setup clean_dist distro clean install testsetup test

NAME='rosinstall'
VERSION=$(shell grep version ./src/rosinstall/__version__.py | sed 's,version = ,,')

OUTPUT_DIR=deb_dist


all:
	echo "noop for debbuild"

setup:
	echo "building version ${VERSION}"

clean_dist:
	-rm -rf src/rosinstall.egg-info
	-rm -rf dist
	-rm -rf deb_dist

distro: setup clean_dist
	python setup.py sdist

clean: clean_dist


install: distro
	sudo checkinstall python setup.py install

testsetup:
	echo "running tests"

test: testsetup
	nosetests --with-coverage --cover-package=rosinstall

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rosinstall.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rosinstall.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rosinstall"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rosinstall"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload: html
	# set write permission for group so that everybody can overwrite existing files on the webserver
	chmod -R g+w _build/html/
	scp -pr _build/html/ rosbot@ros.osuosl.org:/home/rosbot/docs/independent/api/rosinstall

## ros-rosinstall 0.7.7

=== debian/changelog ===
ros-rosinstall (0.7.7-1) unstable; urgency=medium

  * Initial release. (Closes: #804033)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 26 Nov 2015 04:57:10 +0000

=== debian/control ===
Source: ros-rosinstall
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3), dh-python
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-rosinstall.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-rosinstall.git
Homepage: http://wiki.ros.org/rosinstall
X-Python-Version: >= 2.7

Package: python-rosinstall
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Installer for Robot OS
 This package is part of Robot OS (ROS). The rosinstall package
 provides a Python API for interacting with a source code workspace as
 well as a group of command line tools. Rosinstall leverages the
 vcstools package for source control and stores its state in
 rosinstall files.
 .
 Using rosinstall you can update several folders using a variety of SCMs
 (SVN, Mercurial, git, Bazaar) with just one command.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 28 Nov 2014 15:11:27 +0100

%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_clean:
	rm -rf src/rosinstall.egg-info
	dh_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rosinstall-$1\.tar\.gz/ \
 https://github.com/vcstools/rosinstall/releases .*/v?(\d\S*)\.tar\.gz

## ros-rosinstall 0.7.8

=== debian/changelog ===
ros-rosinstall (0.7.8-5) unstable; urgency=medium

  * Remove Thomas from Uploaders, thanks for working on this
  * Bump policy and debhelper versions
  * Set LANGUAGE for unit tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 03 Nov 2021 22:59:08 +0100

ros-rosinstall (0.7.8-4) unstable; urgency=medium

  * Add Python 3 patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Sep 2019 08:38:20 +0200

ros-rosinstall (0.7.8-3) unstable; urgency=medium

  * Fix ancient-python-version-field
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI
  * Drop Python 2 (Closes: #938397)
  * Add d/clean

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 27 Sep 2019 14:18:21 +0200

ros-rosinstall (0.7.8-2) unstable; urgency=medium

  * Add R³
  * http -> https
  * Add patch for get_info_table_raw_csv (Closes: #894699)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 04 Apr 2018 21:51:39 +0200

ros-rosinstall (0.7.8-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * New upstream version 0.7.8
  * Bump policy and debhelper versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 15:32:09 +0200

ros-rosinstall (0.7.7-6) unstable; urgency=medium

  * Fix python3 dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Aug 2017 16:05:37 +0200

ros-rosinstall (0.7.7-5) unstable; urgency=medium

  * Fix source in copyright
  * Replace vcs patch with upstream version (Closes: #869162)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 25 Jul 2017 22:16:11 +0200

ros-rosinstall (0.7.7-4) unstable; urgency=medium

  * Convert package to pybuild
  * Add python3-rosinstall package.

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jul 2017 17:00:30 +0200

ros-rosinstall (0.7.7-3) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Update watch file
  * Update policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jun 2017 06:08:38 +0200

ros-rosinstall (0.7.7-2) unstable; urgency=medium

  * Add dependencies (LP: #1584960).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 18 Jun 2016 09:34:12 +0200

=== debian/control ===
Source: ros-rosinstall
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, git, mercurial, zsh, python3-wstool, python3-yaml, python3-mock, python3-catkin-pkg, python3-rosdistro
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rosinstall
Vcs-Git: https://salsa.debian.org/science-team/ros-rosinstall.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-rosinstall

Package: python3-rosinstall
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Installer for Robot OS (Python 3)
 This package is part of Robot OS (ROS). The rosinstall package
 provides a Python API for interacting with a source code workspace as
 well as a group of command line tools. Rosinstall leverages the
 vcstools package for source control and stores its state in
 rosinstall files.
 .
 Using rosinstall you can update several folders using a variety of SCMs
 (SVN, Mercurial, git, Bazaar) with just one command.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# for unit tests
export LANGUAGE='en_US:en'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/vcstools/rosinstall/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
